<template>
  <div class="cinema-seats-modal-container">
    <div class="cinema-seats-modal-item">
      <span>Ряд {{ seatsInfo.indexRowCinema + 1 }}</span>
    </div>
    <div class="cinema-seats-modal-item">
      <span>Сиденья {{ seatsInfo.indexSeats + 1 }}</span>
    </div>
    <div class="cinema-seats-modal-item">
      <span>Цена {{ seatsInfo.price }}</span>
    </div>
    <div class="cinema-seats-modal-item-button-container ">
      <button v-if="!seatsInfo.isFree" @click="onClickBuy">
        <span>Buy</span>
      </button>
      <button v-else @click="cancelTheOrder">
        <span>Cancel the order</span>
      </button>
      <button @click="onClickCancel"><span>Cancel</span></button>
    </div>
  </div>
</template>

<style lang="scss" src="./cinema-seats-info-modal.scss"></style>
<script src="./cinema-seats-info-modal.js"></script>
